Subject: Re: bug#59448: 29.0.50; URIs in Dictionary are not properly handled

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Nov 2022 09:54:35 +0200

> URIs (http, mail, news, ftp etc) in Dictionary are not properly handled.
> It means that URIs are treated like a regular search phrase, which is
> not really useful for `dictionary-search' (since most will not return
> any results) and no default mechanism is available to follow such URIs.

Thanks for the bug reports (your posts about tab-line will be addressed soon too).

> Other alternative is to handle URIs natively in `dictionary-mode'.  For
> example, some proper URI handling in the action of `dictionary-link'
> button or in `dictionary-display-word-definition'.
>
> Nevertheless, I believe the default behavior of Dictionary could be
> improved, i.e., to avoid treating URIs as regular search words that will
> provide little to none value to users (since it will mostly fail to find
> results) and to provide a better integration with other Emacs features
> (e.g.: EWW to browse URLs or Gnus to compose emails).

Another alternative would be to fall back to handling URIs
only when dictionary-search fails to find a definition.
So instead of displaying the message "Word not found" it could
try to open the URI that can be found in the provided string.